Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

python310-intervaltree-3.1.0-1.1 RPM for noarch

From OpenSuSE Ports Tumbleweed for noarch

Name: python310-intervaltree Distribution: openSUSE:Factory:zSystems
Version: 3.1.0 Vendor: obs://build.opensuse.org/openSUSE:Factory:zSystems
Release: 1.1 Build date: Tue Jul 26 20:25:03 2022
Group: Development/Languages/Python Build host: s390zp25
Size: 232386 Source RPM: python-intervaltree-3.1.0-1.1.src.rpm
Url: https://github.com/chaimleib/intervaltree
Summary: Editable interval tree data structure for Python
A mutable, self-balancing interval tree for Python 2 and 3. Queries may
be by point, by range overlap, or by range envelopment.

This library was designed to allow tagging text and time intervals,
where the intervals include the lower bound but not the upper bound.

Provides

Requires

License

Apache-2.0

Changelog

* Sun Jul 24 2022 Dirk Müller <dmueller@suse.com>
  - update to 3.1.0:
    - Dropped support for Python 3.4, added Python 3.8
    - Add `__slots__` optimization in Node class, should give performance improvement
    - Fixed:
    - Restore universal wheels
    - Bytes/str type incompatibility in setup.py
    - New version of distutils rejects version suffixes of `.postNN`, use `aNN` instead
* Fri Jan 04 2019 Todd R <toddrme2178@gmail.com>
  - Update to Version 3.0.2
    + Fixed:
    * On some systems, setup.py opened README.md with a non-unicode encoding. My fault for leaving the encoding flapping in the breeze. It's been fixed.
  - Update to Version 3.0.1
    + Added:
    * Travis testing for 3.7 and 3.8-dev. These needed OpenSSL, sudo and Xenial. 3.8-dev is allowed to fail.
    + Fixed:
    * PyPI wasn't rendering markdown because I didn't tell it what format to use.
    * Python 2 wasn't installing via pip because of a new utils package. It has been zapped.
    + Maintainers:
    * TestPyPI version strings use .postN as the suffix instead of bN, and N counts from the latest tagged commit, which should be the last release
    * Install from TestPyPI works via make install-testpypi
  - Update to Version 3.0.0
    + Breaking:
    * search(begin, end, strict) has been replaced with at(point), overlap(begin, end), and envelop(begin, end)
    * extend(items) has been deleted, use update(items) instead
    * Methods that take a strict=True/False argument now consistently default to strict=True
    * Dropped support for Python 2.6, 3.2, and 3.3
    * Add support for Python 3.5, 3.6, and 3.7
    * Faster Interval overlap checking (@tuxzz, #56)
    + Updated README:
    * new restructuring methods from 2.1.0
    * example of from_tuples() added
    * more info about chop(), split_overlaps(), merge_overlaps() and merge_equals().
    + Fixes:
    * Node.from_tuples() will now raise an error if given an empty iterable. This should never happen, and it should error if it does.
    * Interval.distance_to() gave an incorrect distance when passed the Interval's upper boundary
    * Node.pop_greatest_child() sometimes forgot to rotate() when creating new child nodes. (@escalonn, #41, #42)
    * IntervalTree.begin() and end() are O(1), not O(n). (@ProgVal, #40)
    * intersection_update() and symmetric_difference() and symmetric_difference_update() didn't actually work. Now they do.
    * collections.abc deprecation warning no longer happens
    + Maintainers:
    * PyPi accepts Markdown! Woohoo!
    * reorganize tests
    * more tests added to improve code coverage (We're at 96%! Yay!)
    * test for issue #4 had a broken import reference
* Sat Nov 03 2018 Todd R <toddrme2178@gmail.com>
  - Initial version

Files

/usr/lib/python3.10/site-packages/intervaltree
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info/PKG-INFO
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info/SOURCES.txt
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info/dependency_links.txt
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info/requires.txt
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info/top_level.txt
/usr/lib/python3.10/site-packages/intervaltree-3.1.0-py3.10.egg-info/zip-safe
/usr/lib/python3.10/site-packages/intervaltree/__init__.py
/usr/lib/python3.10/site-packages/intervaltree/__pycache__
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/__init__.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/__init__.cpython-310.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/interval.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/interval.cpython-310.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/intervaltree.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/intervaltree.cpython-310.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/node.cpython-310.opt-1.pyc
/usr/lib/python3.10/site-packages/intervaltree/__pycache__/node.cpython-310.pyc
/usr/lib/python3.10/site-packages/intervaltree/interval.py
/usr/lib/python3.10/site-packages/intervaltree/intervaltree.py
/usr/lib/python3.10/site-packages/intervaltree/node.py
/usr/share/doc/packages/python310-intervaltree
/usr/share/doc/packages/python310-intervaltree/CHANGELOG.md
/usr/share/doc/packages/python310-intervaltree/README.md
/usr/share/licenses/python310-intervaltree
/usr/share/licenses/python310-intervaltree/LICENSE.txt


Generated by rpm2html 1.8.1

Fabrice Bellet, Fri Sep 9 13:37:48 2022